Bug 69891 - Saving session causes gnome-terminal to segfault
Saving session causes gnome-terminal to segfault
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-session (Show other bugs)
limbo
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-25 20:11 EDT by Jay Turner
Modified: 2015-01-07 18:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-14 00:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2002-07-25 20:11:01 EDT
Description of Problem:
I'm seeing this on my laptop, but will verify on another machine tomorrow, but
here's what I'm seeing.  If I have a mutt terminal running and log out of X,
saving the session, gnome-terminal will segfault.

If instead of logging out of X, I run 'gnome-session-save' from a terminal, then
I will get the dialog stating that the session was saved, and after clicking
'OK' all of my gnome-terminals hang.  I can still move back and forth through
desktops and all other applications work, just can't do anything with the
terminals that I already have, or launch new ones.

I'll attach a strace here shortly.

Version-Release number of selected component (if applicable):
gnome-session-2.0.1-3

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jay Turner 2002-07-25 20:22:40 EDT
OK, I have the strace saved, but it's 71k, so I'm not attaching it.  However,
looking at it, the trace appears to complete successfully, so not sure that I
was chasing the right thing.  Let me know and I'll throw the trace your way.
Comment 2 Havoc Pennington 2002-07-25 21:16:54 EDT
Probably need a gdb backtrace instead of an strace (run in gdb, when it hangs
hit control-C and backtrace from there).
Comment 3 Jay Turner 2002-07-25 22:15:31 EDT
Probably going to have to let you play with it.  The terminals lock hard, so
<ctrl>-C doesn't break out of gdb.
Comment 4 Havoc Pennington 2002-08-14 00:58:32 EDT
I'm guessing this was one of the vte bugs that's now gone.
Comment 5 Jay Turner 2002-08-14 11:59:04 EDT
More than likely, as I'm no longer seeing it.

Note You need to log in before you can comment on or make changes to this bug.